Gecode::Float::Rel::Nq< View0, View1 > Class Template Reference
Other available functionality » Float propagators

Binary bounds consistent disequality propagator. More...

`#include <rel.hh>`

## Public Member Functions

| Nq (Home home, View0 x0, View1 x1)
| Constructor for posting.
| Nq (Space &home, Propagator &p, View0 x0, View1 x1)
| Constructor for rewriting p during cloning.
virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
Public Member Functions inherited from Gecode::MixBinaryPropagator< View0, PC_FLOAT_VAL, View1, PC_FLOAT_VAL >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low binary).
virtual void | reschedule (Space &home)
| Schedule function.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View0 x0, View1 x1)
| Post bounds consistent propagator .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| Nq (Space &home, Nq< View0, View1 > &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::MixBinaryPropagator< View0, PC_FLOAT_VAL, View1, PC_FLOAT_VAL >
| MixBinaryPropagator (Space &home, MixBinaryPropagator &p)
| Constructor for cloning.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Additional Inherited Members

Protected Attributes inherited from Gecode::MixBinaryPropagator< View0, PC_FLOAT_VAL, View1, PC_FLOAT_VAL >
View0 | x0
| View of type View0.
View1 | x1
| View of type View1.

## Detailed Description

template<class View0, class View1>
class Gecode::Float::Rel::Nq< View0, View1 >

Binary bounds consistent disequality propagator.

Requires

#include <gecode/float/rel.hh>
rel.hh

Definition at line 179 of file rel.hh.

## Constructor & Destructor Documentation

## Nq() [1/3]

template<class View0, class View1>

Gecode::Float::Rel::Nq< View0, View1 >::Nq | ( | Space & | home,
|  | Nq< View0, View1 > & | p )

inline protected

Constructor for cloning p.

Definition at line 63 of file nq.hpp.

## Nq() [2/3]

template<class View0, class View1>

Gecode::Float::Rel::Nq< View0, View1 >::Nq | ( | Home | home,
|  | View0 | x0,
|  | View1 | x1 )

inline

Constructor for posting.

Definition at line 44 of file nq.hpp.

## Nq() [3/3]

template<class View0, class View1>

Gecode::Float::Rel::Nq< View0, View1 >::Nq | ( | Space & | home,
|  | Propagator & | p,
|  | View0 | x0,
|  | View1 | x1 )

Constructor for rewriting p during cloning.

## Member Function Documentation

## copy()

template<class View0, class View1>

Actor * Gecode::Float::Rel::Nq< View0, View1 >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 68 of file nq.hpp.

## propagate()

template<class View0, class View1>

ExecStatus Gecode::Float::Rel::Nq< View0, View1 >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 74 of file nq.hpp.

## post()

template<class View0, class View1>

ExecStatus Gecode::Float::Rel::Nq< View0, View1 >::post | ( | Home | home,
|  | View0 | x0,
|  | View1 | x1 )

static

Post bounds consistent propagator .

Definition at line 49 of file nq.hpp.

The documentation for this class was generated from the following files:

- gecode/float/rel.hh
- gecode/float/rel/nq.hpp